Bug 241624 - (perl-GD-Barcode) Review Request: perl-GD-Barcode - Create barcode image with GD
Review Request: perl-GD-Barcode - Create barcode image with GD
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/GD-Barcode/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-28 23:24 EDT by Chris Weyl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 18:50:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-28 23:24:49 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-GD-Barcode-1.15-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-GD-Barcode.spec

Description:
GD::Barcode is a subclass of GD and allows you to create barcode images
with GD.
Comment 1 Jason Tibbitts 2007-06-03 17:46:56 EDT
Are you really sure there's any point in packaging test.pl?
   BEGIN { $| = 1; print "1..1\n"; }
   END {print "not ok 1\n" unless $loaded;}
   use GD::Barcode;
   $loaded = 1;
   print "ok 1\n";
It doesn't seem to me to be especially useful as documentation.

Other than that, there's not much to say.

Review:
* source files match upstream:
   8c22b449079dce65946ec72acf6d3db78753045e7738c5101bc26932c9704967  
   GD-Barcode-1.15.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(GD::Barcode)
   perl(GD::Barcode::COOP2of5)
   perl(GD::Barcode::Code39)
   perl(GD::Barcode::EAN13)
   perl(GD::Barcode::EAN8)
   perl(GD::Barcode::IATA2of5)
   perl(GD::Barcode::ITF)
   perl(GD::Barcode::Industrial2of5)
   perl(GD::Barcode::Matrix2of5)
   perl(GD::Barcode::NW7)
   perl(GD::Barcode::QRcode)
   perl(GD::Barcode::UPCA)
   perl(GD::Barcode::UPCE)
   perl-GD-Barcode = 1.15-1.fc7
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Exporter)
   perl(GD)
   perl(GD::Barcode)
   perl(constant)
   perl(strict)
   perl(vars)

* %check is present and the single test passes.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2007-06-03 23:34:03 EDT
New Package CVS Request
=======================
Package Name: perl-GD-Barcode
Short Description: Create barcode image with GD
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, F-7, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Jason Tibbitts 2007-06-04 15:05:29 EDT
Could I trouble you to answer the question I asked at the start of my review?
Comment 4 Kevin Fenzi 2007-06-04 15:11:03 EDT
cvs done.
Comment 5 Chris Weyl 2007-06-04 18:50:09 EDT
Imported and built.  Thanks for the review!
Comment 6 Chris Weyl 2007-06-05 22:12:53 EDT
(In reply to comment #3)
> Could I trouble you to answer the question I asked at the start of my review?

Sorry -- missed that :(

So.  I'm trying to adhere to a blanket "always package tests as %doc" rule on
the theory that even if I don't find it useful, someone else might, and if I
were that someone I'd far rather look in %doc than pull the source from CPAN. 
(A variant of the "one man's garbage" maxim, one might say.)  However, you're
right, it's difficult to imagine a situation in which this test could be useful.
 (Unless, say, someone were looking for the test suite as an entity, or
wondering how it was tested; however that's really a "meta-use" I suppose.)

I included it just to be consistent in the practice of including them.

In this case I could be dissuaded from this; I'd probably generate and include a
README.tests with something like "test suite worthless as documentation" inside
just to keep people from wondering where it is, however.
Comment 7 Ville Skyttä 2007-06-06 14:30:38 EDT
(In reply to comment #6)
> I included it just to be consistent in the practice of including them.

This practice is unique to a subset of perl-* packages, and inconsistent with
practically everything else.
Comment 8 Chris Weyl 2007-06-06 15:53:49 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > I included it just to be consistent in the practice of including them.
> 
> This practice is unique to a subset of perl-* packages, and inconsistent with
> practically everything else.

Well, remember we're talking about them as (non-executable, with no
dependencies) documentation.  I hardly doubt it's "inconcistent with practically
everything else" to include extra documentation in %doc.
Comment 9 Ville Skyttä 2007-06-06 16:27:37 EDT
Well, the interpretation of "extra documentation" is inconsistent with
practically everything else then.  Ever seen a package written in some other
language include its test suite as %doc in the main package?  Or a perl one
packaged by someone else?  I don't remember seeing one.

Especially since you said in comment 6 that the reason you're including them is
theoretical, and that you've seemingly started to apply it to all packages for
consistency even when it's hard to come up with even a theoretical use case for
them for some packages (are you even checking what gets included on case by case
basis?), I find the practice very, very odd.
Comment 10 Chris Weyl 2007-06-06 16:45:55 EDT
All things being equal, just because it's never been done before isn't a reason
to not do it.  There's always a first time for everything :)

As a general rule, I've found test suites to make useful documentation and
examples.  I don't believe it's unreasonable that others may as well or that
someone may find use in something I didn't.

In any case, can we continue this discussion in fedora-perl, rather than
continuing to append to a closed review ticket?
Comment 11 Ville Skyttä 2007-06-06 17:03:57 EDT
fedora-packaging would be more appropriate as this is not something specific to
perl.

Note You need to log in before you can comment on or make changes to this bug.